import { KnapsackRendererBase } from '@knapsack/app';
import type { KnapsackRenderParams, KnapsackTemplateRenderer, KnapsackTemplateRendererResults, KnapsackTemplateRendererBase } from '@knapsack/app/types';
export declare class KnapsackHtmlRenderer extends KnapsackRendererBase implements KnapsackTemplateRenderer {
    constructor();
    render(opt: KnapsackRenderParams): Promise<KnapsackTemplateRendererResults>;
    getUsage({ pattern, template, demo, patternManifest, }: KnapsackRenderParams): Promise<string>;
    getTemplateSuggestions(): ReturnType<KnapsackTemplateRendererBase['getTemplateSuggestions']>;
    getMeta: KnapsackTemplateRendererBase['getMeta'];
}
//# sourceMappingURL=index.d.ts.map